> ## Documentation Index
> Fetch the complete documentation index at: https://developers.paxoslabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of vault token transfers

> Fetches a list of transfers including chain ID, vault, time, transaction hash, sender, receiver, and amount.



## OpenAPI

````yaml /v0.1.0/api-reference/openapi.yml get /v1/vaults/transfers
openapi: 3.0.0
info:
  title: Paxos Labs API
  version: 1.0.0
  description: API for managing and querying vault data for Paxos Labs.
servers:
  - url: https://api.paxoslabs.com
security: []
tags: []
paths:
  /v1/vaults/transfers:
    get:
      tags:
        - Vaults
      summary: Get a list of vault token transfers
      description: >-
        Fetches a list of transfers including chain ID, vault, time, transaction
        hash, sender, receiver, and amount.
      parameters:
        - name: vault_address
          in: query
          required: true
          description: The address of the vault. Optional.
          schema:
            type: string
            example: '0x9Ed15383940CC380fAEF0a75edacE507cC775f22'
      responses:
        '200':
          description: Successful response with transfers.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TransferEvent'
        '400':
          description: Invalid request.
        '500':
          description: Internal server error.
components:
  schemas:
    TransferEvent:
      type: object
      properties:
        chain_id:
          type: integer
          description: ID of the blockchain.
          example: 1
        vault:
          type: string
          description: The address of the vault.
          pattern: ^0x[a-fA-F0-9]{40}$
          example: '0x19e099b7aed41fa52718d780dda74678113c0b32'
        time:
          type: integer
          description: Unix timestamp when the transaction occurred.
          example: 1733053355
        tx_hash:
          type: string
          description: Transaction hash.
          example: '0x5e1c28334e39c5273966b0986e9c00bc88f8e1e4f4372aea78b48cab4abc2509'
        from:
          type: string
          description: The address of the sender.
          pattern: ^0x[a-fA-F0-9]{40}$
          example: '0x0000000000000000000000000000000000000000'
        to:
          type: string
          description: The address of the receiver.
          pattern: ^0x[a-fA-F0-9]{40}$
          example: '0xfbe0c54d696fa6c93f35d4ca7d656561816c15f6'
        amount:
          type: integer
          description: Amount transferred in the transaction.
          example: 32764931240122292

````